Patch 7 error using xampp


(Jack Chan) #1

Hi,

I have problem updating to patch 7 in openemr 5.0.1 using xampp in Windows 10 Enterprise Vr 1809 from a fresh installation. I get this error repeatedly.

Warning : require_once(C:\xampp\htdocs\openemr/common/compatibility/Checker.php): failed to open stream: No such file or directory in C:\xampp\htdocs\openemr\sql_patch.php on line 14

Kindly advise.

Jack


(Jack Chan) #2

After applying patch 7 and getting the above error I now cannot login to openemr!
I received this error message

Warning : require_once(C:\xampp\htdocs\openemr\interface/…/common/compatibility/Checker.php): failed to open stream: No such file or directory in C:\xampp\htdocs\openemr\interface\globals.php on line 4

Fatal error : require_once(): Failed opening required ‘C:\xampp\htdocs\openemr\interface/…/common/compatibility/Checker.php’ (include_path=‘C:\xampp\php\PEAR’) in C:\xampp\htdocs\openemr\interface\globals.php on line 4
Any help would be appreciated.

Jack


(Jack Chan) #3

I uninstall xampp with openemr completely and also deleted all leftover files. With a fresh installation I was able to use patch 7 and also login after restoring my data.

Jack